Trouble Updating to 2.4--Access Denied


#1

Hello,

I am having trouble updating to 2.4. I deleted the config.ini.php file, and when I enter my credentials in the ‘database setup’ step in the process, I get the following error: “SQLSTATE[28000] [1045] Access denied for user ‘mill’@‘localhost’ (using password: YES)”

I am certain I am using the correct mysql username and password (no leading spaces, etc.), and I am able to log in using those credentials on the mysql command line.

Has anyone else had this trouble?


#2

OMG, I’m so glad it’s not just me. Got same problem.

I also deleted old config.ini.php file and tried to re-type all but no luck.

It all happened after installing 2.4.

Never had such problems before.


#3

Good to know I’m not alone. I also deleted the piwik directory and did a fresh install–still no luck.


(Matthieu Aubry) #4

Thanks for the report! Can you confirm whether your password contains some characters like & or " or ’ or other strange ones?

We’ll fix this issue. it was also reported on twitter and here: Update from 2.3 to 2.4 breaks db password · Issue #341 · matomo-org/matomo · GitHub


#5

Yes, we have many strange characters in the password.


#6

Yes, I use a complicated password. Thanks.


#7

same problem. acess denied. I get the idea for the solution here.

I change the db password for one with only numbers and letters and its solve.